# MinIO
[**MinIO**](https://github.com/minio/minio), an [Amazon S3](https://aws.amazon.com/s3/) compatible object storage server.

## Scope
Scope of the **basic setup** is to run minio  
- as unprivileged user
- with a directoy mounted for data
- the container port mapping to a host port for port 9000 (s3)

Scope of the **advance setup** is to  
- run minio behind a reverse-proxy
- expose s3 and the web interface (console) in different docker networks


## Configuration
### Basic Configuration
1. Prepare your .env file: `cp .env.template .env`
2. [Generate](../KEY-GENERATION.md) and add your admin keys in .env
3. Create a home and data directory owned by 1000:1000
4. Define your port mapping

### Advanced Configuration

#### Preconditions:
  - [Reverse proxy with Letsencrypt companion](https://git.in-ulm.de/ulpeters/reverse-proxy) running
  - External docker networks set
